Bug 4756 - Problem Running ypserv as a Slave Server
Problem Running ypserv as a Slave Server
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-27 15:09 EDT by carl.williams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-20 08:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carl.williams 1999-08-27 15:09:37 EDT
We are running ypserv (using shadow passwords) and are
trying to run a slave server.  We have followed essentially
the instruction of the NIS HOWTO (section 8 -- written by
Thorsten Kukuk and dated 9 March 99).  When we go to the
command # /usr/lib/yp/ypinit -s OURMASTEERHOST
we get the following comment
 "Can't enumerate maps from OURMASTERHOST Please check that
it is running."  -- where OURMASTERHOST is the name of IP
name of the master server.

On the master we have the following  "yp" processes running
# ps aux | grep yp
root  519  0.0 0.0 1340  340 ?     S Aug25 0:00
rpc.yppasswdd
root 7484  0.0 0.7 4600 3876 pts/9 S 11:14 0:04 ypserv
root 7495  0.0 0.1 1336  560 pts/9 S 11:14 0:00 rpc.ypxfrd

On the Slave Server these yp processes are running
# ps -aux | grep yp
root  271  0.0 0.1 1288  564 ?   S 11:23 0:00 ypserv
root  283  0.0 0.0 1232  504 ?   S 11:23 0:00 ypbind(master)
root  290  0.0 0.1 1252  592 ?   S 11:23 0:00 ypbind (slave)

What is the problem?
Comment 1 Cristian Gafton 1999-09-20 08:11:59 EDT
you restarted portmap on one of the machines causing the RPC services
to get unregistered.

Note You need to log in before you can comment on or make changes to this bug.